gtk.WindowGroup
Prev | The gtk Class Reference | Next

## gtk.WindowGroup

gtk.WindowGroup — a group of `gtk.Window` widgets

## Synopsis

    class gtk.WindowGroup(gobject.GObject):
        gtk.WindowGroup()
        def add_window(window)
        def remove_window(window)

## Ancestry

    +-- gobject.GObject
      +-- gtk.WindowGroup

## gtk.WindowGroup Signal Prototypes

gobject.GObject Signal Prototypes

## Description

A `gtk.WindowGroup` object contains a set of `gtk.Window` widgets that are managed together by some `PyGTK` functions and methods.

## Constructor

        gtk.WindowGroup()

Returns : | a new `gtk.WindowGroup`.

Creates a new `gtk.WindowGroup` object. Grabs added with `gtk.Widget.grab_add`() only affect windows within the same `gtk.WindowGroup`.

## Methods

### gtk.WindowGroup.add_window

        def add_window(window)

`window` : | the `gtk.Window` to add

The `add_window`() method adds the `gtk.Window` specified by `window` to the windowgroup.

### gtk.WindowGroup.remove_window

        def remove_window(window)

`window` : | the `gtk.Window` to remove

The `remove_window`() method removes the `gtk.Window` specified by `window` from the windowgroup.

Prev | Up | Next
gtk.Window | Home | gtk Functions